package com.ruoyi.warehouseBusiness.domain.dto;

import com.ruoyi.warehouseBusiness.domain.TWarehouseBills;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsModify;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsfeesModify;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 仓库主(出入库)对象 t_warehousebills_modify
 *
 * @author ruoyi
 * @date 2021-10-27
 */
public class WarehousebillsModifyDTO extends TWarehousebillsModify {
    private static final long serialVersionUID = 1L;


    /**
     * 仓储主表id
     */
    @NotNull
    private Long warehouseId;

    /**
     *  费用信息
     */
//    @Min(1)
    private List<TWarehousebillsfeesModify> items;

    /**
     *  要删除的子订单id
     */
    private List<Long> itemDels;

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public List<TWarehousebillsfeesModify> getItems() {
        return items;
    }

    public void setItems(List<TWarehousebillsfeesModify> items) {
        this.items = items;
    }

    public List<Long> getItemDels() {
        return itemDels;
    }

    public void setItemDels(List<Long> itemDels) {
        this.itemDels = itemDels;
    }

    @Override
    public String toString() {
        return "WarehousebillsModifyDTO{" +
                "warehouseId=" + warehouseId +
                ", items=" + items +
                ", itemDels=" + itemDels +
                '}';
    }
}
